app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
 */

// Authentication routes...
Route::get('auth/login', 'Auth\AuthController@getLogin');
Route::post('auth/login', ['as' => 'auth/login', 'uses' => 'Auth\AuthController@postLogin']);
Route::get('auth/logout', ['as' => 'auth/logout', 'uses' => 'Auth\AuthController@getLogout']);

// Registration routes...
Route::get('auth/register', 'Auth\AuthController@getRegister');
Route::post('auth/register', ['as' => 'auth/register', 'uses' => 'Auth\AuthController@postRegister']);

Route::resource('Clients', 'ClientsController');

Route::get('/', function () {
	return view('welcome');
});

Route::get('home', [
	'as' => 'home',
	'uses' => 'HomeController@index',
]);

app/Client.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Client extends Model {
	//
	use SoftDeletes;

	/**
	 * The attributes that should be mutated to dates.
	 *
	 * @var array
	 */
	protected $dates = ['deleted_at'];
}

app/User.php
<?php

namespace App;

use Illuminate\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Auth\Passwords\CanResetPassword;
use Illuminate\Foundation\Auth\Access\Authorizable;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Contracts\Auth\Access\Authorizable as AuthorizableContract;
use Illuminate\Contracts\Auth\CanResetPassword as CanResetPasswordContract;

class User extends Model implements AuthenticatableContract,
                                    AuthorizableContract,
                                    CanResetPasswordContract
{
    use Authenticatable, Authorizable, CanResetPassword;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'users';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['name', 'email', 'password'];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = ['password', 'remember_token'];
}

app/Http/Controllers/ClientsController.php
<?php

namespace App\Http\Controllers;

use App\Client;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Validator;

class ClientsController extends Controller {
	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function __construct() {
		$this->middleware('auth');
	}
	public function index() {
		//listar clientes
		$client = new Client();
		return View('app/clients/index', ['client' => $client::all()]);
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create() {
		//
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request) {
		dd($request->all());
		//
		$validator = Validator::make($request->all(), [
			'name' => 'required',
			'rut' => 'required',
		]);

		if ($validator->fails()) {
			return redirect('app/clients/index')
				->withErrors($validator)
				->withInput();
		} else {
			$client = new Client();
			$client->name = $request->name;
			$client->phone = $request->phone;
			$client->rut = $request->rut;
			$client->address = $request->address;
			$client->socialName = $request->socialName;
			$client->email = $request->mail;
			$client->save();
			return View('app/clients/index', ['client' => $client::all()]);
		}

	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id) {
		//

		$clien = new Client();
		$rs = $clien::find($id);
		return $rs->toJson();
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id) {
		//
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id) {
		//
		$data = json_decode($request->getContent());
		$client = new Client();
		$cl = $client::find($id);
		$cl->name = $data->name;
		$cl->phone = $data->phone;
		$cl->rut = $data->rut;
		$cl->address = $data->address;
		$cl->socialName = $data->socialName;
		$cl->email = $data->mail;
		return $cl->save() ?
		$cl->toJson() : // returns 200 OK status with contact (json)
		response($cl->errors, 400);
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function destroy($id) {
		//
		$client = new Client();
		$cl = $client::find($id);
		return $cl->delete() ?
		$cl->toJson() : // returns 200 OK status with contact (json)
		response($cl->errors, 400);

	}
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

abstract class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;

class HomeController extends Controller {
	//

	public function __construct() {
		$this->middleware('auth');
	}

	public function index() {

		return \View::make('home');
	}
}

resources/views/app/clients/index.blade.php
@extends('layouts/app')
@section('content')
 <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <h1 class="h3 mb-2 text-gray-800">Clients</h1>
          <p class="mb-4 ">Add  <a  href="javascript:void(0)" data-toggle="modal" data-target="#myModal"><i class="fa fa-plus-square fa-2x" aria-hidden="true"></i></a></p>

          <!-- DataTales Example -->
          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">List Clients</h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Name</th>
                      <th>rut</th>
                      <th>business</th>
                      <th>phone </th>
                      <th>mail</th>
                      <th class="">Actions</th>
                    </tr>
                  </thead>

                  <tbody>
                    @foreach($client as $cl)
                    <tr>
                      <td>{{$cl->name}}</td>
                      <td>{{$cl->rut}}</td>
                      <td>{{$cl->socialName}}</td>
                      <td>{{$cl->phone}}</td>
                      <td>{{$cl->email}}</td>
                      <td class="align-middle">
                      	<button class="btn btn-primary" name="edit" id="{{$cl->id}}">
                      		<i class="fa fa-pencil fa-1x" aria-hidden="true"></i>
                      	</button>
                      	<button  class="btn btn-danger" name="remove" id="{{$cl->id}}">
						              <i class="fa fa-trash-o fa-lg"></i>
						            </button>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>

        </div>


        <!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
    <form action="{{route('Clients.store')}}" method="post">
      {!! csrf_field() !!}
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Create Client</h4>
      </div>
      <div class="modal-body">

		    <div class="form-group">
		      <label for="name">name:</label>
		      <input type="text" class="form-control" id="name" placeholder="Enter Name" name="name" required="required">
		    </div>
		    <div class="form-group">
		      <label for="pwd">business name:</label>
		      <input type="text" class="form-control" id="socialName" placeholder="Enter business name" name="socialName" required="required">
		    </div>

		    <div class="form-group">
		      <label for="pwd">rut:</label>
		      <input type="text" class="form-control" id="rut" placeholder="Enter rut" name="rut" required="required">
		    </div>

		    <div class="form-group">
		      <label for="pwd">address:</label>
		      <input type="text" class="form-control" id="address" placeholder="Enter address" name="address" required="required">
		    </div>

         <div class="form-group">
          <label for="pwd">phone:</label>
          <input type="text" class="form-control" id="phon" placeholder="Enter phone" name="phone" required="required">
        </div>

			<div class="form-group">
		      <label for="pwd">mail:</label>
		      <input type="text" class="form-control" id="mail" placeholder="Enter mail" name="mail" required="required">
		    </div>

      </div>

      <div class="modal-footer">
      	<button type="submit" class="btn btn-success">Save</button>
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>

      </div>

		  </form>
    </div>

  </div>
</div>


<div id="editModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      {!! csrf_field() !!}
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Edit Client</h4>
      </div>
      <div class="modal-body">
        <input type="hidden" name="idEdit" id="idEdit" value="">

        <div class="form-group">
          <label for="name">name:</label>
          <input type="text" class="form-control" id="nameEdit" placeholder="Enter Name" name="nameEdit" required="required">
        </div>
        <div class="form-group">
          <label for="pwd">business name:</label>
          <input type="text" class="form-control" id="socialNameEdit" placeholder="Enter business name" name="socialNameEdit" required="required">
        </div>

        <div class="form-group">
          <label for="pwd">rut:</label>
          <input type="text" class="form-control" id="rutEdit" placeholder="Enter rut" name="rutEdit" required="required">
        </div>

        <div class="form-group">
          <label for="pwd">address:</label>
          <input type="text" class="form-control" id="addressEdit" placeholder="Enter address" name="addressEdit" required="required">
        </div>

         <div class="form-group">
          <label for="pwd">phone:</label>
          <input type="text" class="form-control" id="phoneEdit" placeholder="Enter phone" name="phoneEdit" required="required">
        </div>

      <div class="form-group">
          <label for="pwd">mail:</label>
          <input type="text" class="form-control" id="mailEdit" placeholder="Enter mail" name="mailEdit" required="required">
        </div>

      </div>

      <div class="modal-footer">
        <button type="buttom" class="btn btn-success" id="editBtn">Edit</button>
        <button type="button" class="btn btn-danger" id="cancelBtn" data-dismiss="modal">Close</button>
      </div>

    </div>

  </div>
</div>


        <!-- /.container-fluid -->
@endsection

@section('jsCustom')

<script src="https://unpkg.com/axios/dist/axios.min.js"></script>

<script type="text/javascript">
	$( document ).ready(function() {
     const fileHeaders = {
                'X-CSRF-TOKEN' : document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
                'content-type': 'multipart/form-data',
                'Accept': 'application/json',
                }

          $("button[name = 'edit']").click(function(){
              $('#idEdit').val(this.id)
                $.ajax({
                  type: "Get",
                  url: 'Clients/'+this.id,
                  dataType: "json",
                  headers:fileHeaders
              }).done(response=>{
                $('#nameEdit').val(response.name);
                $('#socialNameEdit').val(response.socialName);
                $('#rutEdit').val(response.rut);
                $('#addressEdit').val(response.address);
                $('#phoneEdit').val(response.phone);
                $('#mailEdit').val(response.email);
                $('#editModal').modal('show');
              });

    })


    $('#editBtn').click(function(){
        var obj = {
          name:$('#nameEdit').val(),
          socialName:$('#socialNameEdit').val(),
          rut:$('#rutEdit').val(),
          address:$('#addressEdit').val(),
          phone:$('#phoneEdit').val(),
          mail:$('#mailEdit').val()
        }

                  $.ajax({
                    type: "patch",
                    url: 'Clients/'+$('#idEdit').val(),
                    data:JSON.stringify(obj),
                    dataType: "json",
                    headers:fileHeaders
                  }).done(response=>{
                     location.reload(true)
                  }).fail(function() {

                    Swal.fire({
                      icon: 'error',
                      title: 'Oops...',
                      text: 'Something went wrong!',
                      footer: '<a href>Why do I have this issue?</a>'
                    })
                  })


    })

    $("button[name = 'remove']").click(function(){
      Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
      }).then((result) => {
        if (result.value) {
           $.ajax({
                    type: "delete",
                    url: 'Clients/'+this.id,
                    dataType: "json",
                    headers:fileHeaders
                  }).done(response=>{
                     location.reload(true)
                  })
        }
      })
    })
});
</script>
@endsection

resources/views/home.blade.php
@extends('layouts/app')

@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-10 col-md-offset-1">
			<div class="panel panel-default">
				<div class="panel-heading">NexNews</div>

				<div class="panel-body">
					Dashboard
				</div>
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="Julio Donoso">
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>NexNews Test Laravel 5.1</title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"/>
  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">

  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>

  <style type="text/css">
   .modal-header button.close {
      right: 3%;
      position: absolute;
    }
  </style>
</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
        <div class="sidebar-brand-icon rotate-n-15">
          <i class="fas fa-laugh-wink"></i>
        </div>
        <div class="sidebar-brand-text mx-3">NexNews</div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider my-0">

      <!-- Nav Item - Dashboard -->
      <li class="nav-item active">
        <a class="nav-link" href="javascript:void(0)">
          <i class="fas fa-fw fa-tachometer-alt"></i>
          <span>Dashboard</span></a>
      </li>

      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Interface
      </div>

      <!-- Nav Item - Pages Collapse Menu -->
      <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="true" aria-controls="collapseTwo">
          <i class="fa fa-user" aria-hidden="true"></i>
          <span>Clients</span>
        </a>
        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
          <div class="bg-white py-2 collapse-inner rounded">
            <h6 class="collapse-header">Maintainer:</h6>
            <a class="collapse-item" href="{{route('Clients.index')}}">List</a>

          </div>
        </div>
      </li>




      <!-- Sidebar Toggler (Sidebar) -->
      <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
      </div>

    </ul>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
        <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">



          <!-- Topbar Navbar -->
          <ul class="navbar-nav ml-auto">


            <div class="topbar-divider d-none d-sm-block"></div>
            <li>
                <a href="#">{{ Auth::user()->name }}</a>
            </li>
			<div class="topbar-divider d-none d-sm-block"></div>
            <!-- Nav Item - User Information -->
           <li><a href="{{route('auth/logout')}}">Logout</a></li>

          </ul>

        </nav>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
@yield('content')
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; Your Website 2019</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>



  <!-- Bootstrap core JavaScript-->
  <script src="{{asset('vendor/jquery/jquery.min.js')}}"></script>
  <script src="{{asset('vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

  <!-- Core plugin JavaScript-->
  <script src="{{asset('vendor/jquery-easing/jquery.easing.min.js')}}"></script>

  <!-- Custom scripts for all pages-->
  <script src="{{asset('js/sb-admin-2.min.js')}}"></script>
 @yield('jsCustom')
  <!-- Page level plugins -->

</body>

</html>

resources/views/layouts/void.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>NexNews Test Laravel 5.1</title>
    {!! Html::style('assets/css/bootstrap.css') !!}
    <!-- Fonts -->
    <link href='//fonts.googleapis.com/css?family=Roboto:400,300' rel='stylesheet' type='text/css'>
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    	<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
     	<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    <nav class="navbar navbar-default">
        <div class="container-fluid">
		    <div class="navbar-header">
		        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
			    <span class="sr-only">Toggle Navigation</span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			</button>
			<a class="navbar-brand" href="#">Laravel</a>
		    </div>
		    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

				<ul class="nav navbar-nav navbar-right">
				    @if (Auth::guest())
				        <li><a href="{{route('auth/login')}}">Login</a></li>
						<li><a href="{{route('auth/register')}}">Register</a></li>
				    @else
		                <li>
		                    <a href="#">{{ Auth::user()->name }}</a>
		                </li>
		                <li><a href="{{route('auth/logout')}}">Logout</a></li>

			        @endif
				</ul>
			</div>
		</div>
	</nav>
    <div class="container">
               @if (Session::has('errors'))
		    <div class="alert alert-warning" role="alert">
			<ul>
	            <strong>Oops! Something went wrong : </strong>
			    @foreach ($errors->all() as $error)
				<li>{{ $error }}</li>
		            @endforeach
		        </ul>
		    </div>
		@endif
    </div>
    @yield('content')
    <!-- Scripts -->
    {!! Html::script('assets/js/jquery.js') !!}
    {!! Html::script('assets/js/bootstrap.min.js') !!}
</body>
</html>